#!/usr/bin/python
# -*- encoding: utf-8 -*-

import sys
import cherrypy
from engine import NLPTools

if cherrypy.__version__.startswith('3.0') and cherrypy.engine.state == 0:
	cherrypy.engine.start(blocking=False)
	atexit.register(cherrypy.engine.stop)

if __name__ == '__main__':
#	if len(sys.argv) == 1 and sys.argv[1] == "cherrypy":
#		cherrypy.config.update({'environment': 'embedded'})
	cherrypy.config.update({'server.socket_host': '10.17.0.85','server.socket_port': 8091, })
	cherrypy.quickstart(NLPTools())
